WEB SEARCH IMPORT

Introduction

With the continuous release of new silicon devices from an increasing number of manufacturers it is often the case that the installed Proteus libraries don't contain the exact part that you are looking for. Fortunately, there are specialist companies who provide a huge number (15 million or so !) of schematic components and footprints for import into CAD software. We've teamed up with one of these companies, Samacsys, to provide a seamless search and import into the Proteus software.

This works directly through the standard library picker in the schematic module where web results will be shown and a double click will import the part as though it was in the installed libraries.

This service is only available for customers with a valid USC. If your maintenance contract has expired and you do not wish to renew or if you prefer to use a different vendor for your parts, you can import manually from several vendors via the library import dialogue on the Library menu.

The Import Process

Web search import works as follows:

1) Launch the library picker in the schematic module (also 'P' on the keyboard).

2) Search for a part. If matches exist in the installed libraries they will be shown and you can click to open web search results from the bar at the bottom of the picker. If there are no matches from the installed libraries you will go directly to web search results.

3) Results in normal font are available for import. Results in disabled text can be requested (at no charge) from the build service form.

4) Double click to import. The first time you do this you will need to supply credentials or create a free account.

5) When you double click to import, both the schematic part and the associated PCB footprint will be brought into your user libraries and also picked into the current project. In most cases, the 3D STEP file for the footprint will also be imported.

If you need to request a part to be made you can do so directly from the pick dialogue by double clicking on one of the disabled entries in the web search. The service is free of charge and average turnaround is 24-48 hours.


LIBRARY PART IMPORT FORM

Introduction

Customers with a valid USC contract can import directly from the library pick form using the web search service which is both simpler and faster.

Proteus comes with a library part importer that will bring in both the schematic component and the layout footprint from popular third party tools such as Ultra-Librarian, ComponentSearchEngine and SnapEDA. The process of import is generally extremely simple:

1) Search for and find the part on the website.

2) Bring it in to Proteus from the Import Parts command on the Library menu.

See Also:

Part Import Examples

Importing a Part into Proteus


THE DIALOGUE FORM

Introduction

The Import Library dialogue provides a standard way to import library parts in both the PADS Library V9.x format (schematic and layout) and the BSDL format (schematic part only). BSDL files for large IC's can be downloaded from most manufacturers websites while PADS Library V9 files for library parts can be found on most part supplier sites or directly from EDA part suppliers such as Ultra-Librarian, SnapEDA and PCB Library Expert.

Proteus also includes seamless part import with Samacsys (library loader) but this process does not require the dialogue form, instead working with the Samacsys library loader software directly.

You'll find worked examples of the import workflow with all major vendors here.

Dialogue Overview

The dialogue form can be launched from the Import Part command on the Library menu in either the schematic or the layout module.

Example Part Import dialogue - see below for more information.

All of the preview areas at the top and the import log will be blank until you use the Select File command to load a part.

1) Part Name

This column will show the name of the part (or parts) that can be imported from the selected files.

2) Schematic Component Preview

This preview will show the schematic body of the selected part in the left hand preview list.

3) PCB Footprint Preview

This preview will show the PCB footprint body of the selected body in the left hand preview list.

There is no PCB footprint associated with BSDL files and so this area will remain blank.

4) Import Log

This area will populate with log messages and warning messages during the parsing of the files. You should check any warning messages that appear closely to make sure that the resulting parts in Proteus are suitable for your design needs.

5) File Selector

This is where the import process starts. You will be presented with a file selector from which you can load a supported file type into Proteus.

Filtering the File Selector to show PADS Library format.

6) Start Import

This button will be disabled until after a file has been loaded and parsed via the Select File button on the left.

After selecting your file and reviewing the import log for any warnings or errors this Import Part button is pressed to bring the parts into the Proteus libraries.

If both a schematic component and layout footprint exist, then the import will run the familiar Make Package dialogue followed by the Make Device dialogue wizard. If only one or the other exists (e.g. no footprint with BSDL) then only the relevant wizard will be launched.

7) Configuration

This button will be disabled until after a file has been loaded and parsed via the Select File button on the left.

The settings dialogue gives you additional options and control over the import and resulting parts. We'd recommend that unless parts look odd or incorrect you leave these options alone but you'll fine detailed discussion of the various options in the following topic.

One particularly useful setting is the 'launch body editor' setting for schematic parts. The body editor screen allows you to break a device into multiple elements which can be really helpful for large pin count components. If you like to work with multi-element devices on the schematic you might want to lower this threshold setting and then make use of the body editor during the import process.

Settings and Configuration

Schematic Decal Settings

Configuration Settings for Schematic Decals

Body Editor Threshold

When you are importing large IC's or BGA's a single schematic component can be unwieldy and hard to work with. Often, engineers like to break down big parts into several smaller components performing logical functions (e.g. group the power pins into a component). Finally, treatment of NC pins depends on personal preference with some users happy to hide NC pins completely while others prefer all pins to be drawn on the component body.

The body editor screen solves all these problems and more. It allows you to:

  • Change the pin order on the component (e.g. group a bus together).
  • Break a component into multiple elements.
  • Rename pins.
  • Hide or show all the NC pins on the component(s)
  • Hide or show all of the power pins on the component(s)
  • Specify the configuration of pins around the component (e.g. all four sides or left and right only).

We have chosen to show the body editor by default when the number of pins on the part exceeds 100. However, if you often find that you want to edit the components that your are importing you should drop this number down so that the body editor is shown for all but the simplest of components.

See Also:

Body Editor

Heuristic Graphics

Proteus comes equipped with standard body shapes and pin graphic types. When this option is selected the parser will detect the graphic shapes and replace with standard Proteus equivalents. We have found on balance that this produces better results and leaves a consistent look and feel to the schematic regardless of how many different sources are used for the parts.

If however you prefer the exact graphic styles used by a particular vendor you can turn the heuristic mode off via this checkbox.

Line Width Specification

As with the heuristic graphics we have defaulted to using a standard line width for all imported data. This provides consistency on the schematic and generally works better. If you prefer the specific widths specified in the PADS Library files to be honoured then you can select this option.

Force Rectangle

When selected the shape of the imported component body will be forced rectangular. This is intended for use as a fix for the unusual case where the component just looks badly wrong when imported in its default state.

Overbar Expression

Unfortunately, different vendors use different characters to specify that a pin name has an overbar. This field is a regular expression to parse and detect that a pin name should have an overbar drawn above it.

PCB Decal Settings

Configuration Settings for PCB Decals.

Layer Assignments

On the PCB side the configuration options are all related to layer assignments. Depending on the vendor from which a PADS V9 is generated the layer ID's may vary. For example, where Vendor A uses ID 21 for top solder mask , vendor B may use an ID of 30.

We've provided what we believe to be a working set for most part vendors but if you find that a PCB import is on incorrect layers or has layers missing then you'll need to make the appropriate changes here. If you do come across this please also drop us a line to support@labcenter.com so that we can improve or extend in future releases.

The Import Process

To import a library part with PADS Library V9 files

1) Download the part you want onto your computer. This will almost always be in a zip file.

2) If the part doesn't come from a vendor source that we directly support (see list below) then you'll need to extract all the files from the zip into a folder of your choice.

3) From the Library Menu in Proteus select the Import Part command

4) Click on Select File and use the file selector on the right hand side to select either generic PADS Library V9 files or the vendor of your choice.

5) Choose the appropriate file to load. This will normally be a zip file if the vendor is selectable in the file selector or a .p file if you've had to extract the parts into a folder.

6) Review the parse log and the previews to make sure everything looks good. Use configuration settings if need be to fix problems.

7) Use Import Part and follow the wizards to bring first the footprint and then the component into Proteus. This will both put the parts into your libraries and deposit them in the parts bin of the current project ready for placement. You should have an end parsed result that looks like the following:

What you are actually doing at this last stage is running the Make Package tool to create the footprint and then running the Make Device tool to make the schematic component. The areas where input may be required from you are in the library choice and the description and categorization of the part.

To import a library part with BSDL files

1) Download the part you want onto your computer. This may be a zip file or a loose BSDL file.

2) If it's in a zip file you'll need to extract the BSDL file from the zip into a folder of your choice.

3) From the Library Menu in Proteus select the Import Part command

4) Use the file selector on the right hand side to select BSDL files.

5) Choose the appropriate BSDL file to load.and then review the parse log and the preview to make sure everything looks good. It's normal to not have a PCB preview because BSDL files don't contain PCB footprint data.

7) Use Import Part and follow the wizard to bring the component into Proteus. This will both put the schematic part into your library and deposit it in the parts bin of the current project ready for placement.

Unlike the PADS Library import you will always run the body editor when you import the BSDL file. This is because the file does not contain graphical body data and so we need to construct the body or bodies from your choices.

See Also:

Examples


THE BODY EDITOR

Introduction

The organisation of the schematic part is something that causes users a great deal of frustration both because of personal preference and through lack of flexibility in the hosting CAD package. The larger the component the more these problems manifest which is why we introduced the body editor in Proteus import workflow.

The body editor allows for review and manipulation of incoming schematic parts before their final creation into the libraries. Users can:

  1. Rename pins. For example NC_1, NC_2, NC_3 can be block renamed to be NC.
  2. Order pins. Users who prefer their parts to be in logical order can move the appropriate pins so that for example all the pins in the address bus are together.
  3. Split the part into multiple elements. Almost essential for BGA's and large IC's and particularly useful together with the pin ordering feature as it lets you assign logical groups (e.g. power) to different component bodies.
  4. Hide or show power pins and NC pins. Possibly the most contentious area of all. Many customers want to hide power pins to save wiring and NC pins because they are not connected. Equally, many customers want all pins visible on the schematic and to then explicitly handle the wiring of each one. The body editor gives users the choice at the part creation stage.
  5. Run the pins around the component body in different ways, notably giving the choice of a rectangular component body with pins on two sides or a square component body with pins on all four sides.

Dialogue Overview

Example Body Editor dialogue - see below for more information.

Pin Listing / Ordering

This listview displays all the pins in the part being imported.

  • You can select a pin and move it up or down using the buttons just to the right of the list.
  • You can select a group of consecutive pins by holding down the SHIFT key and selecting the first pin and then the last pin in the group. The group of pins can then be moved up or down using the arrow buttons to the right of the listview.
  • You can select a
  • You can add a separator (a gap) between pins by clicking once on the button at the bottom of the listview.
  • You can split the part into multiple different elements by clicking twice on the button at the bottom of the listview. All pins above this element separator will then go around component body number 1 and all pins below will go around component body number 2. You can create as many elements as you want.
Pin Naming / Typing

This area allows you to rename one or more pins and to set their electrical type. This can be useful in the case where for example a lot of NC pins are named individually with a numerical suffix. Simply select the pin(s) you want to edit and then change their name and/or type and hit apply to commit the changes.

Power Pins and NC Pins

Proteus allows you to reduce clutter and wiring on the schematic by hiding power pins and/or NC pins so that they do not appear on the component bodies. However, for auditing purposes many customers prefer each pin to be visible and to explicitly connect them appropriately. These two checkboxes give user control over visibility of both power pins and NC pins.

Note that if you leave NC pins visible you should explictly connect each pin to an NC terminal on the schematic.

Pins Layout on Body

This area provides some basic options for the layout of the pins on the component body. In the case of a multi-element part the layout will be the same for each element. You can select from the default two sided rectangle or a square body with pins on all four sides arranged either clockwise or anti-clockwise.


EXAMPLES

Import Parts from Digikey

1) On the Digikey website use the EDA/CAD filter to restrict your result set to parts with included schematic components and layout footprints.

2) Select the part you want from the resulting data set and click on the Ultra-Librarian (or SnapEDA) link to visit their site.

You may need to log in to your Digikey account at this stage.

3) Select the Proteus format from the Ultra-Librarian site and download the resulting zip file to your computer.

4) From inside Proteus launch the Import Part Wizard from the Library Menu and bring in the zip file.

5) Review the log for import warnings.

6) Use the Import Part command to bring in both the schematic component and the PCB footprint. If the downloaded zip file contains a 3D STEP model this will also be brought in as part of the import process.

You are actually running the PCB Make Package Wizard followed immediately by the schematic Make Device wizard in this last step. This provides you with opportunity to enter extra information and specify a destination library for the part.

See Also:

Make Device (Schematic)

Make Package (Layout)

Manipulating the Schematic Part

If the schematic part is large and you want to split it into several elements or change the pin ordering the easiest way to do so is before you import that part (i.e. before stage 6 outlined above). Edit the settings and lower the schematic pin threshold so that the body editor screen will be shown during the import process.

The body editor allows you to both re-organise the pins on the schematic and also to split / fragment the schematic symbol into multiple elements.

See Also:

The Body Editor

Import from Samacsys

SamacSys is the leading developer of software tools for creating and managing electronic component ECAD data. To import one of their schematic or PCB footprints, you can do so by using the following procedure:

(Note that we are assuming that you currently have a Proteus project with a schematic and a PCB tab already open!).

1. Install the free Library Loader: http://www.samacsys.com/library-loader/

2. Create an account in Library loader

3. Set the download and tool settings to your requirements:

4. Set the library paths to your Proteus installed library:

5. Click on Search for parts

6. This opens the download page https://componentsearchengine.com, here type in the name of the device you are looking for and when it loads, click on Free Download (this is only available if you have created an account!).

7. Save the zip file to the same directory as you have set in the library folder in our case it is C:\Proteus\. If you have selected the 'Show Library Import Instructions' box in the Settings, the Log will then appear showing the importing status:

If this is unchecked then the above box will not appear. It is better to generally have the box unchecked, and if you run in to importing problems, you can check the box to see any errors.

8. At this point the device and/or package will automatically appear in the object selector in Proteus on either the schematic or the PCB Layout, ready for placement.

Import from PCB Library Expert

The PCB Library Expert Enterprise is a powerful CAD library development tool powered by their own proprietary CAD LEAPTM Technology (Libraries Enhanced with Automated Preferences). It is packed with very powerful advanced library management features that cuts footprint creation costs by as much as 99% per part.

We are assuming that you have a project already open when importing devices from PCB Libraries Expert.

1. In PCB Libraries Experts software, once you have created your package click on the Build icon

2. Select Proteus as the Translator, and the 'Set Default Format' should be checked:

3. Select the PADS Version to be 9.5, Set the Output Directory to save the file to, and the format to be Parts and Decal (ASCII is the Legacy version!)

4. Click on Create

5. In Proteus, go to the Library Menu > Import Parts and click on Select File. In the open window, select the File type to be 'PCB Libraries' and navigate to the saved *.P file and select Open.

6. Continue with the Proteus Make Device / Make Package forms and save the part in to your libraries.

Import from Ultra Librarian

Ultra Librarian utilize globally recognized industry standards from IPC-7351B for PCB footprints, ASNI Y32.2-1975 (reaffirmed 1989) for schematic symbols, and ISO10303-21 for 3D STEP models. You can downloads thousands of schematic or footprints from their website

1. On their website, find the part you are looking for through the search function:

2. On the list that appears, click on the Models Available link on the device that you need:

This will provide you with a preview and download options for the part.

3. Set Proteus as the CAD Format, set the pin numbering to be either sequential (in order 1,2,3 etc..) or Functional (Power pins, Signal Pins, Port Pins etc..) and the units of the PCB footprint and click on Download.

4. Save the Zip file to your Hard drive.

5. In Proteus, go to the Library Menu > Import Parts and click on Select File. In the open window, select the File type to be Ultra Librarian and navigate to the saved ZIP file:

6. Open the zip file and it will appear in the Import form. Click on Import Part and save the package and the schematic symbol into your libraries.

Import from RS Online

RS Online is an international online electronics vendor with over 500,000 electronics components from over 2,500 trusted brands. You will need to have the Library Loader software installed: http://rs.componentsearchengine.com/pcb-libraries.php

1. On RS Online's website, find your component. For this example we are using the Vishay 1N5408-E3/54 Diode, 1000V 3A, 2-Pin DO-201AD.

2. Click on the Explore all Technical Documents link:

3. Click on Schematic Symbol & PCB Footprint and download the file.

4. Open the Library Loader and click on the Open EPW File link:

5. Navigate to either the Zip file or the extracted *.EPW file, the loader will open either one and it will be automatically imported in to the Object selector in Proteus.

Import from SnapEDA

SnapEDA is the Internet's pioneering, market-leading parts library for circuit board design. You can import their schematic and PCB parts in to Proteus from their website by following these instructions:

1. On SnapEDA's website, search for your component and make sure that it contains the models that you require (on the RHS of the website page):

2. click on the Download button:

3. Select Proteus from the list and save the file to your hard drive

4. In Proteus, go to Library > Import Parts and click on Select File

5. Select the file type to be SnapEDA and open your file:

6. Now it's loaded, click on Import Part and save it to your Proteus libraries.

Import BSDL File

BSDL files can be found and downloaded from a vast array of manufacturers websites and there are also some free collection websites such as http://www.bsdl.info. Having downloaded the file(s) to your computer you can then import them via the Library Menu in the schematic application module.

Import File.

Navigate to and select the BSDL file on your computer. Proteus will then parse the file and, assuming no errors, will launch a modified version of the Make Device dialogue form.

If you receive a parse error from your BSDL file please e-mail us with the file attached at support@labcenter.com. Most often this is a simple syntax error in the manufacturers file and is easily fixed.

BSDL Configuration Dialogue.

While the BSDL file contains a lot of helpful information, configuring the part for use in Proteus still requires some thought by the designer. The configuration screen of the dialogue form is the place where most of the decisions are made.

Pin List

The pin list is the collection of pin names imported from the BSDL file and is shown at the left hand side of the dialogue. The important thing to realise is that this will be the order of placement, according to the selected Pins Layout option. What you see in this list after import is likely to be a list of pins in a random order and would form a very messy schematic part. The first job therefore is to group pins together that belong together on the schematic (pins on a bus being the obvious example).

Re-ordering the List

Selection of pins in the list works exactly like Windows explorer, namely:

To select a contiguous group of pins: Click to select the first item. Hold Shift button down and click on the last item (or drag the mouse down).

To select a disparate group of pins: Click to select the first item. Hold CTRL button down and click on items you want to select.

Once the pins you want are selected, you can move them up or down using the buttons to the right.

Re-ordering the PORTA Pins into logical positions.

Inserting Blank lines

Click on the 'Add/Remove Gap / Element' button to insert a blank line / gap on the physical design.

Inserting Component Separators

Often, BSDL Files are created for large pin count parts or BGA's. The problem with creating this as a single component is that the resulting part will be so large and unwieldy that is unlikely to fit on a single schematic sheet. We have therefore added the ability to insert component separators to the pin grid. These will split the component into multiple elements which are far more manageable on the schematic.

1 click creates gap, 2nd click creates element, 3rd click removes the element and / or gap.

Adding a blank line (a gap) will appear as a series of dashed lines in the pin grid whilst adding a component separator will appear as a series of stars in the pin grid. The button itself is tri-state.

Visible Power / NC Pins

Some users prefer for design auditing purposes to have all power and NC pins visible and connected on the schematic. This is controlled via the hide power pin / NC pin checkboxes on the dialogue.

There are several things to bear in mind here:

  • Power pins with the same name can be hidden and will then connect to the net with that name. Similarly, all pins named NC can be hidden and will be connected to the NC net in the packaging tool.
  • When power pins are hidden all pins with the same name are added to the packaging as virtual pins and connectivity is achieved by matching the pin name to the net name. E.g. All hidden pins named GND are connected to the GND net.
  • When NC pins are hidden the pins are added virtually to the NC pins list in the packaging tool.

If you make power pins visible then you will receive a set of pins all will the same name and you should then connect them to the power rail manually. For example, you will end up with GND_01, GND_02, GND_03 etc. and you must tie all the lines to GND on the schematic.

NC Pins will similarly be broken out and you should tie all these lines to an NC terminal.

It is not strictly necessary to connect visible pins with the name NC to NC terminals However, if they are visible the only legal connection that can be made to them is an NC terminal so if you don't want the visual clarity of having them present and connected to NC terminals then it is far simpler to hide them altogether.

Renaming Pins on the List

Much like the ordering of the pins, the naming of the pins is imported raw from the BSDL file. This means that you need to be aware of software behaviour regarding connectivity, hidden pins and pin naming. It all boils down to two simple rules:

1) Pins with the same name on a device are deemed internally connected.

2) Pins named NC will be considered Not Connected pins.

Aesthetic changes aside, there are therefore two areas where the user may want to rename some pins. The first and most important is power pins. A pin is deemed a power pin where it's electrical type is specified as power. When we look at the pin list you may find that there are multiple power pins with different names serving the same function. This depends entirely on the BSDL file - some vendors use individually named pins (VDD1, VDD2, VDD3, etc.) while others use a bit vector to describe multiple pins with the same name (VDD). In the former case, you are likely to end up with multiple physical pins on the schematic part, all of which will need to be wired together and joined to the correct supply.

Example of Power Pins after Import - schematic wiring serves to connect the pins to supply.

As we've seen in the section above (visible power pins) this is a perfectly sensible way to work. It means for example that a printout of the schematic will be more reflective of the design than if the pins were hidden. However, you need to know that if your power pins are visible that at least one pin with each name is connected to a power rail. We would suggest however that if you choose to make your power pins visible that you group them together (e.g into a separate element) and then tie them all to their designated supplies with terminals.

The alternative is to rename the three pins in the pinlist to have the same name (VDD). If you do this then, provided the pins are of electrical type power and the hide power pins checkbox is selected, the five pins will become hidden pins not visible on the schematic part and will be automatically connected together and joined to the VDD supply. This has the advantage of smaller schematic parts and less wiring but at the expense of some transparency. Click on the 'Apply' button to change the pin name.

Renaming a group of pins.

Regardless of which method you adopt, the Power Rail Configuration dialogue can be used to double check that your power nets are all connected up properly.

The second area where pin naming is particularly relevant is not connected or NC pins. Any pin which has a name NC is designated as a not connected pin. When the hide NC pins checkbox is selected all such pins are removed from the physical schematic part and are automatically added to the not connected pin list in the packaging phase of the import wizard.

NC Pins in the Packaging Tool.

Most times, no action is required by the user as the not connected pins will be cleaned up and packaged as you progress through the import wizard. If you want your NC pins to be visible then you need to uncheck the hide NC Pins checkbox.

If you do this, we'd recommend that you tie all the NC pins to NC terminals so that their status is visually clear. You can also tie any other pin to an NC terminal if it is not used in your design and it will become unroutable in the layout.

BSDL files are typically written for very large parts with a lot of pins. Using the two techniques above can make the resulting schematic component far more manageable. See also the topic on deconstructing large components below.

Refer to the topic on NC Pins and packaging for more detailed information.

Pin Properties

When a single pin is selected in the pin display, the pin properties area shows both the name and the electrical type of the pin as imported from the BSDL file. These can then be changed by the user as required. If multiple pins are selected then the name field is left blank and the electrical type will be blanked if the selected pins are of different types. As described in the power pin discussion above, you can rename multiple pins at once by selecting them, entering the new name and then clicking on a free area of the pin display.

Pin Layout

Pin layout gives you some control over the resulting schematic part, giving you options for pins on two sides or on all four sides of the part. It is generally best to opt for two sided parts on smaller devices (less than 100 pins) and four sided for larger devices. Multi-element parts are not supported in wizard which means that for very large parts, the user may need to re-assemble the device into several elements after placement.

Once the configuration is complete press the next button to continue with making the device. At this point we are essentially following the process detailed in the Make Device topic, although the packaging is worthy of further discussion.

Packaging(s)

A BSDL file can contain many packagings for a single component and this is fully supported in Proteus. However, the names of the footprints will most likely not be the same and you therefore need to edit the packaging to map the pins onto a footprint in the Proteus libraries.

Packaging an ARES footprint from the BSDL Import.

The big timesaver here is that, immediately on selection of the ARES package, all of the pins/balls are correctly mapped. This can be verified from the preview at the right hand side where all pins should be coloured white. Also note that power pins with the same name are specified as hidden and common and that not connected pins are automatically added to the NC pins list. In short, the only thing the user needs to do is tell the software which Proteus package to use.

It is important to note that the information supplied by vendors in the BSDL file may not be complete for schematic purposes. In particular, passive pins and/or power pins may not be present in the BSDL file because they are not relevant to device testing. Refer to the topic on deconstructing devices for more information on modifying parts after import.

Checklist

The following is a short checklist for BSDL import:

  • Check whether the pins in the pin grid need re-ordering or re-naming. They will appear on the schematic in the same order as they appear in the pin grid.
  • Check whether you need to split the part into several elements and add component separators in appropriate places.
  • Decide whether you want the power pins and NC pins visible on the schematic. If so, we'd recommend grouping them together and possibly separating them into their own elements.
  • Check whether blank line separators would help with clarity (for example, on either side of a bus) and add where appropriate.
  • Specify the direction of pin placement.
  • Continue to part naming, packaging, etc in the usual way.
  • If you've chosen to have visible power pins / NC Pins remember to tie them to the appropriate power and NC terminals on the schematic after placement.

Notes and Limitations

The following behaviours and limitations apply:

If you split the component into several elements then, after you are finished, Proteus will have automatically created a multi-element heterogeneous device for you. When you place the different elements of the device the part reference will include a ?. You must edit the elements and assign them all to the same device.

Iteration with FPGA's

When working with FPGA's you may re-map the ball's to aid PCB layout and/or you may add or assign functionality to pins that were previously NC. These must be handled separately to avoid confusion.

1) A re-map of the balls is a packaging change and can be done directly by loading the Xilinx or Altera pin map file into the packaging tool. More information here.

2) Adding functionality is a device change and requires that the updated BSDL file be imported into Proteus.

You cannot do both at the same time.

Deconstructing Large Components

When you import a large component, it's quite possible that you will need to make manual adjustments in order to use it effectively on the schematic. If you have chosen a 4-sided pin layout there will be a lot of 'dead space' in the middle while a 2-sided pin layout may just be too big for the schematic sheet. Your options are therefore :

  • Re-import the BSDL file and use the component separators to split the device into multiple elements.
  • Increase the sheet size to fit the component.
  • Decompose the component (right click and select decompose from the context menu) and then either adjust the component body or re-make as a multi-element part.


IMPORTING EDIF FILES

Introduction

Proteus supports the import of EDIF2 files as exported from the OrCAD v9.2 or the OrCAD 17.2 schematic capture product. There are three phases to the import:

  1. Parse the EDIF file.
  2. If no errors are found import the data.
  3. Verify the connectivity and edit the schematic until correct.

Stage 3 is of particular importance. After we import the data we generate a netlist in Proteus from the imported schematic. We then compare this netlist against the one stored inside the EDIF file which tells us if the connectivity has been preserved during import. Any connectivity errors or differences are displayed in a log and the user needs to make suitable changes in Proteus manually to fix any connectivity errors.

The end result of this process is a schematic whose connectivity / netlist matches the EDIF file, providing a high degree of confidence in the integrity of the import.

The Import Process

Go to File menu / Import ECAD files. This will start a new project.

Choose a file to import. Currently only OrCAD EDF/EDIF files are supported.

The file will be parsed but not saved. Any parsing errors will be displayed in the log.

Click continue. The data will be imported and the schematic will be created. The imported netlist and the Proteus netlist will be compared for consistency. Any errors or warnings will be displayed in the log.

Very often you will see power net differences / errors after import because power nets are handled differently in OrCAD. This is discussed in more detail below.

Amend the schematic to correct errors as necessary. Each edit will re-run the netlist comparison and update the log.

Click the close button or close the importer tab to complete the process.


LIMITATIONS

Introduction

The creation of a schematic involves a lot of complex entities and different CAD packages may support different features or handle objects and connectivity in slightly different ways. As such, there are limitations to any import process.

Known limitations are outlined below but please do contact us if you are having problems.

Limitations

  • Currently only supports OrCAD v9.2 and OrCAD 17.2 EDIF2 file format.
  • Bitmaps (e.g. logos) are not present in the EDIF file so will not be imported.
  • Non standard pin-name or pin number font sizing will be ignored; the importer assumes a standard 100th spacing for device pins.
  • Module components (as opposed to drawn sub-circuits) are not currently supported.
  • Hierarchical designs with sibling children are treated as carrying hierarchical naming; design global annotation data (e.g. U3:A on sibling 1 and U3:B on sibling 2) is not present in the EDIF file and thus cannot be preserved.
  • Hierarchical designs where a child module has more than one sheet cannot be imported since this is not currently supported in Proteus.
  • Power nets are treated as global unless this is changed manually on the ‘Edit Design Properties’ dialogue. This may lead to the netlist comparison reporting extra connections since the EDIF format cannot represent global power nets. The wiring of power nets in hierarchical designs should be checked very carefully to ensure that the imported design matches the original design intentions.